			import { world } from "@minecraft/server";

const InkAltar = {
    onPlayerInteract({ block, dimension, player }) {

        const effectLocation = block.center();
        const position = block.location;
        if (!player) return;

        const equippable = player.getComponent("minecraft:equippable");
        if (!equippable) return;

        const mainhand = equippable.getEquipmentSlot("Mainhand");
        if (!mainhand.hasItem()) return;

        if (mainhand.typeId == "minecraft:totem_of_undying") {
            if (mainhand.amount > 1) mainhand.amount--;
            else mainhand.setItem(undefined);
            block.setType("minecraft:air");
            dimension.playSound("random.totem", effectLocation);
            block.dimension.runCommand(`summon mori:inkretch ${position.x} ${position.y} ${position.z}`);

        }
    }
};



world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent(
        "mori:altar_ink",
        InkAltar
    );
});