import { world, EquipmentSlot, ItemStack } from "@minecraft/server";

const Custard_machine = {
    onPlayerInteract({ block, player, dimension }) {
        const effectLocation = block.center();
        const equippable = player?.getComponent("minecraft:equippable");
        if (!equippable) return;

        const mainhand = equippable.getEquipmentSlot(EquipmentSlot.Mainhand);
        if (!mainhand.hasItem() || mainhand.typeId !== "minecraft:bowl") return;
        dimension.playSound("mob.wanderingtrader.drink_potion", effectLocation);
        mainhand.setItem(new ItemStack("mori:custard_bowl"));
    }
};



world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent(
        'mori:custard_mh',
        Custard_machine
    );
});