import { world } from "@minecraft/server";

const Mirror = {
    onPlayerInteract({ player, block, dimension }) {
        const effectLocation = block.center();
        if (!player) return;
        const position = block.location;
        const equippable = player.getComponent("minecraft:equippable");
        if (!equippable) return;

        const mainhand = equippable.getEquipmentSlot("Mainhand");

        if (mainhand.typeId == "minecraft:paper" && mainhand.nameTag == "swarmcaller") {
            if (mainhand.amount > 1) mainhand.amount--;
            else mainhand.setItem(undefined);
            dimension.playSound("dig.honey_block", effectLocation);
            block.dimension.runCommand(`summon mori:swarmcaller ${position.x} ${position.y} ${position.z}`);
            block.dimension.runCommand(`particle minecraft:honey_drip_particle ${position.x} ${position.y} ${position.z}`);

        }

    }
};



world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent(
        "mori:mirror",
        Mirror
    );
});