import { world, ItemStack } from "@minecraft/server";

const Computer = {
    onPlayerInteract({ block, dimension, player }) {

        const effectLocation = block.center();
        if (!player) return;

        const equippable = player.getComponent("minecraft:equippable");
        if (!equippable) return;

        const mainhand = equippable.getEquipmentSlot("Mainhand");
        if (!mainhand.hasItem()) return;

        if (block.permutation.getState("mori:computer") == 0 && mainhand.typeId == "mori:executable_cd") {
            if (mainhand.amount > 1) mainhand.amount--;
            else mainhand.setItem(undefined);
            block.setPermutation(block.permutation.withState("mori:computer", 1));
            dimension.playSound("event.blasphemed", effectLocation);

        }
        dimension.playSound("random.click", effectLocation);
    },
    onTick({ block, dimension }) {
        const effectLocation = block.center();

        if (block.permutation.getState("mori:computer") == 1) {
            dimension.playSound("random.click", effectLocation);
            block.setPermutation(block.permutation.withState("mori:computer", 0));
            dimension.playSound("blasphemed.laugh", effectLocation);
            dimension.spawnItem(new ItemStack("mori:empty_dvd", 1), block.center());
            block.dimension.runCommand(`tag @a[r=100, c=1] add x_target`);

        }
    }
};



world.beforeEvents.worldInitialize.subscribe(({ blockComponentRegistry }) => {
    blockComponentRegistry.registerCustomComponent(
        "mori:pc",
        Computer
    );
});