import { world, EquipmentSlot, ItemStack } from "@minecraft/server";

const Soul = {
    onUseOn({ source }) {
        const equippable = source?.getComponent("minecraft:equippable");
        if (!equippable) return;

        const mainhand = equippable.getEquipmentSlot(EquipmentSlot.Mainhand);

        mainhand.setItem(new ItemStack("minecraft:glass_bottle"));
        source.runCommand("summon xp_orb");
        source.runCommand("summon xp_orb");
        source.runCommand("summon xp_orb");
    },
};

world.beforeEvents.worldInitialize.subscribe(({ itemComponentRegistry }) => {
    itemComponentRegistry.registerCustomComponent("mori:soul", Soul);
});